<template>
  <input v-if = "isEditable" v-model="price"
  type="number" min="0" step="0.01" class="form-control" @input="sendPrice" required>
  <span v-else> {{ price }} </span>
</template>

<script>
export default {
  name: 'priceTTCtoHT',
  props: {
    value: {
      required: true
    },
    isEditable: {
      type: Boolean,
      required: true
    }
  },
  data () {
    return {
      price: null
    }
  },
  methods: {
    sendPrice () {
      this.$emit('updatePriceHt', this.price / 1.2).toFixed(2)
    }
  },
  watch: {
    value () {
      this.price = Number(this.value * 1.2).toFixed(2)
    }
  },
  mounted () {
    if (this.value !== null) {
      const price = Number(this.value * 1.2).toFixed(2)
      this.price = `${price}€`
    }
  }
}
</script>
